Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.util
Class TextWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              com.sun.javatest.util.TextWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class TextWriter

extends java.io.FilterWriter

This class implements an output stream that has additional methods for printing. It is based on PrintStream except that it does not swallow exceptions.

Field Summary

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`TextWriter(java.io.Writer out)` Create a new TextWriter, without automatic line flushing.
`TextWriter(java.io.Writer out, boolean autoFlush)` Create a new TextWriter.

Method Summary
`void` | `print(boolean b)` Print a boolean.
`void` | `print(char c)` Print a character.
`void` | `print(char[] s)` Print an array of characters.
`void` | `print(double d)` Print a double.
`void` | `print(float f)` Print a float.
`void` | `print(int i)` Print an integer.
`void` | `print(long l)` Print a long.
`void` | `print(java.lang.Object obj)` Print an object.
`void` | `print(java.lang.String s)` Print a string.
`void` | `println()` Finish the line.
`void` | `println(boolean b)` Print a boolean, and then finish the line.
`void` | `println(char c)` Print a character, and then finish the line.
`void` | `println(char[] c)` Print an array of characters, and then finish the line.
`void` | `println(double d)` Print a double, and then finish the line.
`void` | `println(float f)` Print a float, and then finish the line.
`void` | `println(int i)` Print an integer, and then finish the line.
`void` | `println(long l)` Print a long, and then finish the line.
`void` | `println(java.lang.Object obj)` Print an Object, and then finish the line.
`void` | `println(java.lang.String s)` Print a String, and then finish the line.

Methods inherited from class java.io.FilterWriter
`close, flush, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextWriter

    public TextWriter(java.io.Writer out)

  Create a new TextWriter, without automatic line flushing.

  Parameters:
    `out` - A character-output stream

### TextWriter

    public TextWriter(java.io.Writer out,
                      boolean autoFlush)

  Create a new TextWriter.

  Parameters:
    `out` - A character-output stream
    `autoFlush` - A boolean; if true, the println() methods will flush the output buffer

Method Detail

### print

    public void print(boolean b)
               throws java.io.IOException

  Print a boolean.

  Parameters:
    `b` - the boolean to be printed
  Throws:
    `java.io.IOException` - if there is a problem writing to the stream

### print

    public void print(char c)
               throws java.io.IOException

  Print a character.

  Parameters:
    `c` - the character to be printed
  Throws:
    `java.io.IOException` - if there is a problem writing to the stream

### print

    public void print(int i)
               throws java.io.IOException

  Print an integer.

  Parameters:
    `i` - the integer to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### print

    public void print(long l)
               throws java.io.IOException

  Print a long.

  Parameters:
    `l` - the long to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### print

    public void print(float f)
               throws java.io.IOException

  Print a float.

  Parameters:
    `f` - the float to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### print

    public void print(double d)
               throws java.io.IOException

  Print a double.

  Parameters:
    `d` - the double to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### print

    public void print(char[] s)
               throws java.io.IOException

  Print an array of characters.

  Parameters:
    `s` - the array of characters to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Print a string.

  Parameters:
    `s` - the string to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### print

    public void print(java.lang.Object obj)
               throws java.io.IOException

  Print an object.

  Parameters:
    `obj` - the object to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println()
                 throws java.io.IOException

  Finish the line.

  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(boolean b)
                 throws java.io.IOException

  Print a boolean, and then finish the line.

  Parameters:
    `b` - the boolean to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(char c)
                 throws java.io.IOException

  Print a character, and then finish the line.

  Parameters:
    `c` - the character to beprinted
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(int i)
                 throws java.io.IOException

  Print an integer, and then finish the line.

  Parameters:
    `i` - the int to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(long l)
                 throws java.io.IOException

  Print a long, and then finish the line.

  Parameters:
    `l` - the long to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(float f)
                 throws java.io.IOException

  Print a float, and then finish the line.

  Parameters:
    `f` - the float to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(double d)
                 throws java.io.IOException

  Print a double, and then finish the line.

  Parameters:
    `d` - the double to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(char[] c)
                 throws java.io.IOException

  Print an array of characters, and then finish the line.

  Parameters:
    `c` - the array of characters to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(java.lang.String s)
                 throws java.io.IOException

  Print a String, and then finish the line.

  Parameters:
    `s` - the string to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

### println

    public void println(java.lang.Object obj)
                 throws java.io.IOException

  Print an Object, and then finish the line.

  Parameters:
    `obj` - the object to be printed
  Throws:
    `java.io.IOException` - if an error occurred while writing to the stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.